
def make(makedir)
    Dir.chdir(makedir) do
        sh 'make'
    end
end


def extconf(dir)
    Dir.chdir(dir) do ruby "extconf.rb" end
end


def setup_tests
    Rake::TestTask.new do |t|
        t.libs << "test"
        t.test_files = FileList['test/test*.rb']
        t.verbose = true
    end
end


def setup_clean otherfiles
    files = ['build/*', '**/*.o', '**/*.so', '**/*.a', 'lib/*-*', '**/*.log'] + otherfiles
    CLEAN.include(files)
end


def setup_rdoc files
    Rake::RDocTask.new do |rdoc|
        rdoc.rdoc_dir = 'doc/rdoc'
        rdoc.options << '--line-numbers'
        rdoc.rdoc_files.add(files)
    end
end